Subject: Re: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new PCE WG (Reeja Paul)

From: Reeja Paul <[email-masked]>
Date: Fri, 30 Mar 2012 16:47:56 +0530

I Support.

Thanks & Regards
Reeja Paul

----------------------------------------------------------------------------
---------------------------------------------------------
This e-mail and its attachments contain confidential information from
HUAWEI, which 
is intended only for the person or entity whose address is listed above. Any
use of the 
information contained herein in any way (including, but not limited to,
total or partial 
disclosure, reproduction, or dissemination) by persons other than the
intended 
recipient(s) is prohibited. If you receive this e-mail in error, please
notify the sender by 
phone or email immediately and delete it!

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Friday, March 30, 2012 2:46 PM
To: [email-masked]
Subject: Pce Digest, Vol 91, Issue 16

If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to 

https://www.ietf.org/mailman/listinfo/pce

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send Pce mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/pce
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Pce digest..."

Today's Topics:

   1. ??:  Adopting draft-dhody-pce-pcep-domain-sequence-02 as a
      new PCE	WG (Fatai Zhang)
   2. Re: Adoption of draft-pouyllau-pce-enhanced-errors-03.txt (Suresh)
   3. Re: Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new
      PCE	WG (Pradeepa Shastry)
   4. Re: Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new
      PCE	WG (Peng JIANG)
   5. Re: Adopting draft-dhody-pce-pcep-domain-sequence-02 as a	new
      PCE WG (Dhruv Dhody)

----------------------------------------------------------------------

Message: 1
Date: Thu, 29 Mar 2012 23:19:14 +0000
From: Fatai Zhang <[email-masked]>
To: JP Vasseur <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Pce] ??:  Adopting draft-dhody-pce-pcep-domain-sequence-02
	as a new PCE	WG
Message-ID:
	
<[email-masked]>
	
Content-Type: text/plain; charset="gb2312"

Yes, support.

Thanks

Fatai

________________________________________
???: [email-masked] [[email-masked]] ?? JP Vasseur
[[email-masked]]
????: 2012?3?30? 0:29
?: [email-masked]
??: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new PCE WG

Dear all,

We had a pretty strong support for adopting
draft-dhody-pce-pcep-domain-sequence-02 a PCE Working Group during our PCE
WG meeting but
as usual we'd like to confirm on the mailing list.

Could you please let us know if you are in favor/opposed to adopting
draft-dhody-pce-pcep-domain-sequence-02 as a PCE WG Document ?

Thanks.

JP and Julien.

------------------------------

Message: 2
Date: Fri, 30 Mar 2012 09:21:19 +0530
From: Suresh <[email-masked]>
To: 'JP Vasseur' <[email-masked]>, <[email-masked]>
Subject: Re: [Pce] Adoption of
	draft-pouyllau-pce-enhanced-errors-03.txt
Message-ID: <[email-masked]@huawei.com>
Content-Type: text/plain; charset="us-ascii"

I support.

Regards
Suresh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of JP
Vasseur
Sent: Thursday, March 29, 2012 9:58 PM
To: [email-masked]
Subject: [Pce] Adoption of draft-pouyllau-pce-enhanced-errors-03.txt

Dear all,

We had a pretty strong support for adopting
draft-pouyllau-pce-enhanced-errors a PCE Working Group during our PCE WG
meeting but
as usual we'd like to confirm on the mailing list.

Could you please let us know if you are in favor/opposed to adopting
draft-pouyllau-pce-enhanced-errors as a PCE WG Document ?

Thanks.

JP and Julien.
_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

------------------------------

Message: 3
Date: Fri, 30 Mar 2012 12:46:28 +0530
From: Pradeepa Shastry <[email-masked]>
To: 'JP Vasseur' <[email-masked]>, <[email-masked]>
Subject: Re: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as
	a new	PCE	WG
Message-ID: <000001cd0e45$06b9bae0$142d30a0$@com>
Content-Type: text/plain; charset="us-ascii"

I support

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP
Vasseur
Sent: Thursday, March 29, 2012 10:00 PM
To: [email-masked]
Subject: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new PCE
WG

Dear all,

We had a pretty strong support for adopting
draft-dhody-pce-pcep-domain-sequence-02 a PCE Working Group during our PCE
WG meeting but

as usual we'd like to confirm on the mailing list.

Could you please let us know if you are in favor/opposed to adopting
draft-dhody-pce-pcep-domain-sequence-02 as a PCE WG Document ?

Thanks.

JP and Julien.

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/mail-archive/web/pce/attachments/20120330/f2685500/atta
chment.htm>

------------------------------

Message: 4
Date: Fri, 30 Mar 2012 16:41:10 +0900
From: Peng JIANG <[email-masked]>
To: [email-masked]
Subject: Re: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as
	a new PCE	WG
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=UTF-8; format=flowed

Support!

Peng JIANG
KDDI R&D LABS

(2012/03/30 16:16), Pradeepa Shastry wrote:
> I support
>
> *From:[email-masked] [mailto:[email-masked]] *On Behalf Of
> *JP Vasseur
> *Sent:* Thursday, March 29, 2012 10:00 PM
> *To:* [email-masked]
> *Subject:* [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a
> new PCE WG
>
> Dear all,
>
> We had a pretty strong support for adopting
> *draft-dhody-pce-pcep-domain-sequence-02 *a PCE Working Group during our
> PCE WG meeting but
>
> as usual we'd like to confirm on the mailing list.
>
> Could you please let us know if you are in favor/opposed to adopting
> draft-dhody-pce-pcep-domain-sequence-02 as a PCE WG Document ?
>
> Thanks.
>
> JP and Julien.
>
>
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

-- 
????????????
????????????
KDDI??? IP????????G
TEL: +81-49-278-7879
E-mail: [email-masked]

------------------------------

Message: 5
Date: Fri, 30 Mar 2012 11:14:04 +0200
From: Dhruv Dhody <[email-masked]>
To: <[email-masked]>, 'JP Vasseur' <[email-masked]>,
	<[email-masked]>
Subject: Re: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as
	a	new	PCE WG
Message-ID: <011601cd0e55$76c2cf60$64486e20$@[email-masked]>
Content-Type: text/plain; charset="us-ascii"

Dear Adrian, 

Thanks for your comments. Please find response inline. 

Regards,

Dhruv

From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian
Farrel
Sent: Friday, March 30, 2012 12:12 AM
To: 'JP Vasseur'; [email-masked]
Subject: Re: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new
PCE WG

Please accept this comment as an individual comment like all the rest.

I have some reservations about adopting this document as a WG draft, but
will not register to stand in its way.

I understand the motive for this work and, indeed, it fills a hole in the
protocol spec.

I do hope that the authors are building it for shipping equipment and
deployment. If not, would they please consider whether it should be
experimental?

[Dhruv Dhody] We will discuss among the co-authors and WG chairs on this. 

Here are some comments based on a very light review. I should probably read
the document properly some day.

I am concerned that this document changes the definition and intent
contained in RFC 5440. In my opinion the authors of 5440, and the WG at the
time, wen to some lengths to tie the content of objects in PCEP to the same
definitions found in RFCs 3209, 3473 and 3477. At the same time, definitions
of subobjects for path definition, should also pay attention to RFCs 4874
and 4920. The intention is to not define more subobjects than needed and to
keep registries aligned.

[Dhruv Dhody] We did try to make sure to reuse already defined subobjects
but found some gaps which were handled in our document. RFC 4920 defines TLV
that can be carried in IF_ID ERROR_SPEC Object to specify the AS and area,
but using the TLV as a subobject breaks the definition of IRO Object.   

It is also worth noting how 4920  handles 2 and 4 octet AS numbers and that
there is overlap in the definition of AS number subobjects with
draft-zhang-pce-hierarchy-extensions-01

[Dhruv Dhody] zhang-pce-hierarchy-extensions provide this information as TLV
where we define the information in subobjects format. There is an editor
note in the draft in section 3.1.3 stating this. We are working closely with
HPCE authors and would make sure to avoid overlaps and redefinations. 

In this light and on careful reading, the IANA section is somewhat broken
and confused about what should be in the registry it is creating.

[Dhruv Dhody] Dully Noted. 

But I am also unsure why a new IRO type is needed. Surely the domain
sequence that is used in the computation is also the domain sequence for the
path that the LSP will take. This feeds on the points below.

[Dhruv Dhody] We added a new type in this revision after discussion within
the WG (http://www.ietf.org/mail-archive/web/pce/current/msg02580.html) for
following reasons - 

Better application of rules w.r.t domain sequence

- define clear order of SubObjects

- Different Scope within IRO

- Clear Mode of Operations and handling

The algorithm in 3.4:

- assumes only area IDs and AS numbers

- assumes that a PCE knows at least one PCE responsible for each of

   its neighboring domains

I would like the authors to take care that the identity of a boundary node
does not uniquely identify a next-hop domain (even if it may be successfully
used for domain routing given the knowledge of the next domain, next
boundary node, or egress node) and the text should not imply that it does.
This is hidden at the end of 3.4 some time after the  boundary node/link
discussion.

Shouldn't you allow "loose" hops in the domain path? (i.e. gaps between
domains).

[Dhruv Dhody] We will refine the algorithm and text to make sure above
points are considerd. 

Can I also mix other concepts with the domain path? What about a consistent
lambda, or a core node that needs to be on the path?

In 3.5.7 I don't see that the domain sequence is necessarily an alternative
to the PCE sequence. There are cases where even with a domain sequence, a
PCE sequence is important.

In 3.5.7 you have:

      All PCE must be aware of all other PCEs in all domain for PCE-

      Sequence.

This is false. Although it is true that a PCE in one domain must be able to
route to the IP address of a PCE in a neighboring domain. 

In 3.5.7 you have:

      There maybe multiple PCE in a domain, the selection of PCE should

      not be made at the PCC/PCE(1).  This decision is made only at the

      neighboring PCE which is aware of state of PCEs via notification

      messages

There are four points here:

1. These are unsubstantiated assertions rather than reasons.

2. All neighboring PCEs are sending each other notification messages?

3. PCE choice may be based on capabilities, not just being up

4. In HPCE, it is quite reasonable for the parent to select the children

Section 5 will need loads of work because the domain sequence (even for
inclusion, not reporting) provides information valuable to an attacker.

[Dhruv Dhody] We would refine this section to clearly state that both
PCE-Sequence and Domain-Sequence can co-exist. But there are some benefits
in using domain-sequence esp when such a thing needed to be configured at
PCC. 

I am sure the management considerations can be added within the WG process.

[Dhruv Dhody] Dully Noted! 

Thanks,

Adrian

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP
Vasseur
Sent: 29 March 2012 17:30
To: [email-masked]
Subject: [Pce] Adopting draft-dhody-pce-pcep-domain-sequence-02 as a new PCE
WG

Dear all,

We had a pretty strong support for adopting
draft-dhody-pce-pcep-domain-sequence-02 a PCE Working Group during our PCE
WG meeting but

as usual we'd like to confirm on the mailing list.

Could you please let us know if you are in favor/opposed to adopting
draft-dhody-pce-pcep-domain-sequence-02 as a PCE WG Document ?

Thanks.

JP and Julien.

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/mail-archive/web/pce/attachments/20120330/3216d6d9/atta
chment.htm>

------------------------------

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

End of Pce Digest, Vol 91, Issue 16
***********************************